<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$x1='Fișiere orfane';
if($_SERVER['REQUEST_URI']!='/admin-fisiere-orfane')
$back[1]='<a href="/admin-fisiere-orfane">'.img('administrare.png',1).''.$x1.'</a>';
if(isset($_GET['cid'],$_GET['go']))
{
$x1.=' în '.($cid==1?'baza de date':'FTP');
if($go=='avatare')
$interogare=['avatare','img/avatare','`imagini_avatare`','`link`'];
elseif($go=='daruri')
$interogare=['daruri','img/daruri','`daruri`','`link`'];
elseif($go=='iconite')
$interogare=['iconițe','img/iconite','`imagini_iconite`WHERE`pid`="2"','`link`'];
elseif($go=='logouri')
$interogare=['logouri','img/logouri','`imagini_iconite`WHERE`pid`="3"','`link`'];
elseif($go=='magazin')
$interogare=['produse din magazin','img/magazin','`magazin_produse`','`link`'];
elseif($go=='poze')
$interogare=['poze','img/poze','`galerie_poze`','`mare`','`mica`'];
elseif($go=='zambareti')
$interogare=['zâmbăreți','img/zambareti','`imagini_zambareti`','`imgsrc`'];
$x1.=' - de tip '.$interogare[0];
}
$titlu=$x1;
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
echo$div[4].img('administrare.png',1).$x1.$div[5];
if(isset($_GET['cid'],$_GET['go']))
{
$interogare_baza=[];
$elemente=$conn->query('SELECT'.$interogare[3].(isset($interogare[4])?','.$interogare[4]:'').'FROM'.$interogare[2]);
while($element=$elemente->fetch_row())
{
$interogare_baza[]=$element[0];
if(isset($interogare[4]))
$interogare_baza[]=$element[1];
}
$elemente->close();
sort($interogare_baza);
$interogari_baza=count($interogare_baza);
$interogare_ftp=[];
$fisiere=opendir($interogare[1]);
while($fisier=readdir($fisiere))
{
if(is_file($interogare[1].'/'.$fisier)&&$fisier!='.'&&$fisier!='..')
$interogare_ftp[]=$interogare[1].'/'.$fisier;
}
closedir($fisiere);
sort($interogare_ftp);
$interogari_ftp=count($interogare_ftp);
echo$div[10].'Momentan sunt <strong>'.$interogari_baza.'</strong> intrări în baza de date, și <strong>'.$interogari_ftp.'</strong> fișiere în FTP de tip '.$interogare[0].'!'.$div[0];
$interogari_orfane=0;
for($i=0;$i<($cid==1?$interogari_baza:$interogari_ftp);$i++)
{
if(!in_array(($cid==1?$interogare_baza:$interogare_ftp)[$i],($cid==1?$interogare_ftp:$interogare_baza)))
{
$interogari_orfane++;
echo$div[1].($cid==1?'Link-ul <strong>'.$interogare_baza[$i].'</strong> nu a fost găsit și în FTP!'.($pid==1?'<br />'.($conn->query('DELETE FROM'.$interogare[2].(mb_stristr($interogare[2],'WHERE')?'&&':'WHERE').$interogare[3].'="'.$interogare_baza[$i].'"')?'A':'Nu a').' fost șters din baza de date!':''):'Fișierul <strong>'.$interogare_ftp[$i].'</strong> nu a fost găsit și în baza de date!'.($pid==1?'<br />'.(unlink($interogare_ftp[$i])?'A':'Nu a').' fost șters din FTP!':'')).$div[0];
}
}
echo$div[10].'Au fost găsite <strong>'.$interogari_orfane.'</strong> interogări orfane în '.($cid==1?'baza de date':'FTP').'!'.($interogari_orfane>0?'<br /><a href="/admin-fisiere-orfane?cid='.$cid.'&amp;go='.$go.'&amp;pid=1"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Ștergele!</a>':'').$div[0];
}
else
{
echo$div[10].'Cu ajutorul acestui meniu, poți verifica dacă există fișiere ne șterse în FTP, sau link-uri din baza de date, care trimit către fișiere inexistente în FTP!'.$div[0];
require'f_scris3.php';
$form[0]='/admin-fisiere-orfane" method="get';
$form[1]=0;
$form[2]=$div[1].'Alege în funcție de ce să fie afișate interogările:<br />'.scris3('cid','1,,În funcție de link-uri orfane în baza de date::2,,În funcție de fișiere orfane în FTP',1).'Alege categoria din care să fie făcută verificarea:<br />'.scris3('go','avatare,,Avatare::daruri,,Daruri::iconite,,Iconițe::logouri,,Logouri::magazin,,Produse din magazin::poze,,Poze din galerie::zambareti,,Zâmbăreți','avatare').$div[0];
$form[3]='cid::go';
$form[4]='Afișează';
require'f_form.php';
}
require'f_jos.php';